/api/v0/orders

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Listing all Orders

GET /api/v0/orders?lastDays=30&orderDisposition=api&orderLineItemDisposition=all

Get Details about all Orders within “lastDays”. If not provided, defaults to 30. Maximum allowed of 365.

Get Orders Request (Query String Options)
lastDaysInteger (Optional). Specify the number, in days, or orders to return
orderDispositionString (Optional). Specify the order type dispositions to return. Defaults to api when not specified. Parameter can be repeated. Value can be one of the following:
  • api
  • marketplace
  • replacement
  • reshipment
  • other
  • all
orderLineItemDispositionString (Optional). Specify an Order Line Item Disposition Type to search for. Any order containing the specified disposition(s) will be returned. Defaults to all when not specified. Parameter can be repeated. Value can be one of the following:
  • api_order
  • wrong_item_shipped
  • undeliverable
  • listing_error
  • product_doesnt_meet_standards_expectations
  • not_working_troubleshooting_support
  • accidental_order_or_buyers_remorse
  • out_of_stock
  • buyer_cancelled
  • price_match
  • could_not_ship
  • duplicate_payment
  • fraud
  • feedback_revision
  • parts_service_center
  • forgot_coupon_code
  • store_credit_adjustment
  • damaged_shipment
  • shipping_issue
  • lost_pre_delivery_in_transit
  • lost_post_delivery_driver_follow_up
  • lost_label
  • wrong_quantity_shipped
  • accidental_shipment
  • address_correction
  • confirmed_misdelivery
  • out_of_stock_in_location
  • needs_split
  • charge_back_discount
  • external_refund
  • spreetail_delivery_fulfillment_issue
  • other

Sample Response

{
  "data": [
    {
      "orderDetails": {
        "customerOrderId": "string",
        "orderDate": "2024-03-18T18:24:21.505Z",
        "orderRegionInfo": {
          "city": "Omaha",
          "state": "NE",
          "country": "US",
          "portalCode":"68010" 
        },
        "sourceOfSale": "Wayfair",
        "lineItems": [
          {
            "productId": "string",
            "name": "string",
            "customerLineItemId": "string",
            "quantity": 0,
            "unitPrice": 0,
            "disposition": "string",
            "status": "string"
          }
        ],
        "subTotal": 0,
        "salesTax": 0,
        "grandTotal": 0,
        "disposition": "string"
      }
    }
  ],
  "requestId": "string"
}

Response

orderDetails Response Field
customerOrderIdThe value provided to the API. Alternatively, the Order ID provided to Spreetail by the marketplace for non-API orders
orderDateDate the order was created
orderRegionInfo.cityThe city of the order shipping address. This information will be redacted 30 days after the order creation day.
orderRegionInfo.stateThe state of the order shipping address. This information will be redacted 30 days after the order creation day.
orderRegionInfo.countryThe country of the order shipping address. This information will be redacted 30 days after the order creation day.
orderRegionInfo.portalCodeThe portal code of order shipping address. This information will be redacted 30 days after the order creation day.
sourceOfSaleOriginating source of sale. See Schema Elements > SourceOfSale for details
lineItems.productIdThe ProductID value for the line item. This is Spreetails ProductID
lineItems.nameTitle of the item
lineItems.customerLineItemIdUnique identifier for the line item
lineItems.QuantityQuantity included in the order
lineItems.unitPriceUnit price for the item. Including any discounts
lineItems.discountAmount applied as a discount to the line item
lineItems.dispositionIndicates the type of line item. See Line Item Dispositions in the Schema Elements section for additional details. May be one of the following:
  • api_order
  • wrong_item_shipped
  • undeliverable
  • listing_error
  • product_doesnt_meet_standards_expectations
  • not_working_troubleshooting_support
  • accidental_order_or_buyers_remorse
  • out_of_stock
  • buyer_cancelled
  • price_match
  • could_not_ship
  • duplicate_payment
  • fraud
  • feedback_revision
  • parts_service_center
  • forgot_coupon_code
  • store_credit_adjustment
  • damaged_shipment
  • shipping_issue
  • lost_pre_delivery_in_transit
  • lost_post_delivery_driver_follow_up
  • lost_label
  • wrong_quantity_shipped
  • accidental_shipment
  • address_correction
  • confirmed_misdelivery
  • out_of_stock_in_location
  • needs_split
  • charge_back_discount
  • external_refund
  • spreetail_delivery_fulfillment_issue
  • other
lineItems.status

The current status of the line item. The following are the most common values:

Waiting to Clear

The order line item has been received, and is pending validation, order processing, and tracking number generation

Shipped

The order line item has been packaged and is ready to leave or has already left our fulfillment center network

Order Canceled

The order line item has been canceled. If this is unexpected, check the order for new line items with a disposition value, this may indicate a fulfillment issue.

subTotalSub total of all line items, including any discounts
salesTaxSales tax total for the order
discountTotalTotal discount amount applied to the order
grandTotalTotal order price. Includes Subtotal plus SalesTax
dispositionIndicates the type of order. May be one of the following:
  • api
  • marketplace
  • replacement
  • reshipment
  • other

Line Item Dispositions

api_order

A standard order submitted to Spreetail via the Spreetail API.

out_of_stock

The original line item product was unavailable when the order was processed.

out_of_stock_in_location

The original line item product was unavailable when the order was picked.

wrong_item_shipped

The original line item was mis-shipped.

wrong_quantity_shipped

The original line item shipment contained the wrong quantity.

confirmed_misdelivery

The original line item was incorrectly delivered by the carrier.

damaged_shipment

The original line item was damaged in transit by the carrier.

lost_label

A shipment label that was previously generated was lost or damaged in the Spreetail fulfillment center.

lost_post_delivery_driver_follow_up

The carrier correctly delivered the original line item, but the customer did not receive the package.

lost_pre_delivery_in_transit

The carrier lost the original line item prior to delivery to the customer.

Query Params
int32
Defaults to 30
orderDisposition
array of objects
orderDisposition
Allowed:
orderLineItemDisposition
array of objects
orderLineItemDisposition
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized

403

Forbidden

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json